Skip to main content
`Ctrl`+`K`

# MatGetNearNullSpace

Get null space attached with `MatSetNearNullSpace()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetNearNullSpace(Mat mat, MatNullSpace *nullsp)

Not Collective

## Input Parameter

- mat - the matrix

## Output Parameter

- nullsp - the null space object, `NULL` if not set

## See Also

Matrices, `Mat`, `MatNullSpace`, `MatSetNearNullSpace()`, `MatGetNullSpace()`, `MatNullSpaceCreate()`

## Level

advanced

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex49.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages